Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## kieker.analysis.repository.annotation
Annotation Type Repository

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface Repository

This type annotation can be used to mark repositories.

Since:
  1.5
Author:
  Nils Christian Ehmke, Andre van Hoorn

Optional Element Summary
`Property[]` | `configuration` The list of possible properties for this repository.
`String` | `dependencies` This field can contain an additional text to give an impression of the needed dependencies.
`String` | `description` The human-readable description of this repository type.
`String` | `name` The name which is used to identify this repository type.
`boolean` | `programmaticOnly` This flag determines whether the annotated repository should only be used for programmatic purposes or not.

### programmaticOnly

    public abstract boolean programmaticOnly

  This flag determines whether the annotated repository should only be used for programmatic purposes or not. This can for example be used by tools to ignore specific repositories.

  Default:
    false

### description

    public abstract String description

  The human-readable description of this repository type.

  Returns:
    The description for this repository type.
  Default:
    ""

### dependencies

    public abstract String dependencies

  This field can contain an additional text to give an impression of the needed dependencies.

  Returns:
    The dependencies for the current repository as a human-readable description.
  Default:
    ""

### name

    public abstract String name

  The name which is used to identify this repository type.

  Returns:
    The name of this repository type.
  Default:
    ""

### configuration

    public abstract Property[] configuration

  The list of possible properties for this repository.

  Returns:
    A list of properties.
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright 2014 Kieker Project, http://kieker-monitoring.net